CVE-2021-40874

NameCVE-2021-40874
DescriptionRESTServer pwdConfirm always returns true with Combination + Kerberos
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs1005302

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lemonldap-ng (PTS)stretch1.9.7-3+deb9u2fixed
stretch (security)1.9.7-3+deb9u4fixed
buster2.0.2+ds-7+deb10u7fixed
buster (security)2.0.2+ds-7+deb10u6vulnerable
bullseye2.0.11+ds-4+deb11u1fixed
bookworm, sid2.0.14+ds-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lemonldap-ngsourceexperimental2.0.14~exp+ds-1
lemonldap-ngsourcestretch(not affected)
lemonldap-ngsourcebuster2.0.2+ds-7+deb10u7
lemonldap-ngsourcebullseye2.0.11+ds-4+deb11u1
lemonldap-ngsource(unstable)2.0.14+ds-11005302

Notes

[stretch] - lemonldap-ng <not-affected> (Vulnerable code introduced in 2.0)
https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/-/issues/2612
https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/-/commit/66946e8f754812b375768c2124937137c856fe0c

Search for package or bug name: Reporting problems